summaryrefslogtreecommitdiffstats
path: root/debian/postrm.ex
diff options
context:
space:
mode:
authorDavid Troy <dave@popvox.com>2006-04-01 16:17:55 +0000
committerDavid Troy <dave@popvox.com>2006-04-01 16:17:55 +0000
commitd3070bed0e76db60c6159b0cfe29463cd38e11ab (patch)
treec7c8c4c13e615c02739f9add3e7deb446c0a5d31 /debian/postrm.ex
parent5bd78e358392deca5ed3c7150c685f49b31063e7 (diff)
downloadastmanproxy-d3070bed0e76db60c6159b0cfe29463cd38e11ab.tar.gz
astmanproxy-d3070bed0e76db60c6159b0cfe29463cd38e11ab.tar.xz
astmanproxy-d3070bed0e76db60c6159b0cfe29463cd38e11ab.zip
Populating trunk
git-svn-id: http://svncommunity.digium.com/svn/astmanproxy/trunk@23 f02b47b9-160a-0410-81a6-dc3441afb0ec
Diffstat (limited to 'debian/postrm.ex')
-rw-r--r--debian/postrm.ex38
1 files changed, 38 insertions, 0 deletions
diff --git a/debian/postrm.ex b/debian/postrm.ex
new file mode 100644
index 0000000..8d38558
--- /dev/null
+++ b/debian/postrm.ex
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for astmanproxy
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0